<form [formGroup]="foodForm" (ngSubmit)="onGenerate()" class="ui form">
    <div class="inline fields">
        <div class="field" *ngFor = "let category of categoryKeys; let idx = index">
          <div class="radio checkbox cc-selector"> 
            <input id="{{category}}" type="radio" formControlName="category" value="{{category}}">
            <label class="drinkcard-cc" for="{{category}}">{{categoryLabels[idx]}}</label>
          </div>
        </div>
    </div>

    <div class="ui hidden divider"></div>

    <div class="inline fields">
        <label for="kcalNumber">I want to eat</label>
        <div class ="field">
            <input id="kcalNumber" type="number" formControlName="kcalNum" step="100" placeholder="####" min="300" max="4000">
            <label for="kcalNumber">kcal</label>
        </div>
    </div>


    <div class="ui hidden divider"></div>

    <div class="inline fields">
        <label for=numOfMeals>in</label>
        <div class ="field">
            <select id=numOfMeals formControlName="mealNum" class="ui dropdown">
            <option *ngFor="let num of numOfMeals" value="{{num}}">{{num}} meals</option>
        </select>
    </div>
</div>

    <div class="ui hidden divider"></div>

    <div class="generate-button">
        <button class="ui massive button" type="submit">Generate</button>
    </div>

    <div id="suggestion-list" >
        <app-recipe-suggestion-list  *ngIf="showMealPlan"
        [recipes]="suggestedRecipes"
        ></app-recipe-suggestion-list>
    </div>
</form>